package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.model.domain.AppletAmountLog;
import com.ruoyi.model.domain.AppletConfig;
import com.ruoyi.model.service.IAppletAmountLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(description = "小程序-金额相关接口")
@RestController
@RequestMapping("/applet/amount")
public class ApiAppletAmountController {
    //金额流水信息
    @Autowired
    private IAppletAmountLogService appletAmountLogService;

    @ApiOperation("小程序-金额流水信息列表数据查询")
    @GetMapping("/amountLogList")
    public AjaxResult amountLogList(AppletAmountLog appletAmountLog){
        List<AppletAmountLog> amountLogList = appletAmountLogService.selectAppletAmountLogList(appletAmountLog);
        return AjaxResult.success("金额流水信息列表数据",amountLogList);
    }

}
