package com.ruoyi.applet.contoller;


import com.ruoyi.applet.pojo.dto.ApiQueryIIdMyUserDTO;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.model.domain.AppUsers;
import com.ruoyi.model.service.IAppUsersService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;

@Api(description = "伴宠师-我的流程")
@RestController
@RequestMapping("/applet/info")
public class ApiAppletInfoController {

    @Autowired
    private IAppUsersService appUsersService;

    //修改用户信息接口
    @ApiOperation("修改用户信息接口")
    @PostMapping("/updateInfo")
    public AjaxResult updateInfo(@RequestBody AppUsers appUsers){
        if((appUsers.getUserId() == null)){
            return AjaxResult.error("用户标识不能为空");
        }
        appUsersService.updateAppUsers(appUsers);
        return AjaxResult.success("修改成功");
    }

}
